SplFixedArray::offsetExists
SplFixedArray::offsetSet
SplFixedArray
PHP Manual

# SplFixedArray::offsetGet

Returns the value at the specified index

### Description

public mixed SplFixedArray::offsetGet ( int `$index` )

Returns the value at the index `index`.

### Parameters

`index`

  The index with the value.

### Return Values

The value at the specified `index`.

### Errors/Exceptions

Throws RuntimeException when `index` is outside the defined size of the array or when `index` cannot be parsed as an integer.